summaryrefslogtreecommitdiff
path: root/oh-my-zsh/plugins/fig/fig.plugin.zsh
diff options
context:
space:
mode:
authorAditya <bluenerd@protonmail.com>2023-02-27 20:04:56 +0530
committerAditya <bluenerd@protonmail.com>2023-02-27 20:04:56 +0530
commitedc449275b6c04445f58b108ca0937a87c1e8430 (patch)
tree9fd484d58145b616f29a78857cc0b1c8b1c18f05 /oh-my-zsh/plugins/fig/fig.plugin.zsh
parent6f5424ca96c4221ef433f545642669e9c104d0ed (diff)
add zsh
Diffstat (limited to 'oh-my-zsh/plugins/fig/fig.plugin.zsh')
-rw-r--r--oh-my-zsh/plugins/fig/fig.plugin.zsh13
1 files changed, 13 insertions, 0 deletions
diff --git a/oh-my-zsh/plugins/fig/fig.plugin.zsh b/oh-my-zsh/plugins/fig/fig.plugin.zsh
new file mode 100644
index 0000000..cddb6c7
--- /dev/null
+++ b/oh-my-zsh/plugins/fig/fig.plugin.zsh
@@ -0,0 +1,13 @@
+if ! (( $+commands[fig] )); then
+ return
+fi
+
+# If the completion file doesn't exist yet, we need to autoload it and
+# bind it to `fig`. Otherwise, compinit will have already done that
+if [[ ! -f "$ZSH_CACHE_DIR/completions/_fig" ]]; then
+ autoload -Uz _fig
+ typeset -g -A _comps
+ _comps[fig]=_fig
+fi
+
+fig completion zsh >| "$ZSH_CACHE_DIR/completions/_fig" &|